# Cartographic

#### new Cesium.Cartographic(longitude, latitude, height)
Core/Cartographic.js 19

A position defined by longitude, latitude, and height.

Name | Type | Default | Description
--- | --- | --- | ---
`longitude` | Number | `0.0` | optional The longitude, in radians.
`latitude` | Number | `0.0` | optional The latitude, in radians.
`height` | Number | `0.0` | optional The height, in meters, above the ellipsoid.

##### See:

- Ellipsoid

### Members

#### static constant Cesium.Cartographic.ZERO : Cartographic
Core/Cartographic.js 216

An immutable Cartographic instance initialized to (0.0, 0.0, 0.0).

#### height : Number
Core/Cartographic.js 39

The height, in meters, above the ellipsoid.

Default Value: `0.0`

#### latitude : Number
Core/Cartographic.js 32

The latitude, in radians.

Default Value: `0.0`

#### longitude : Number
Core/Cartographic.js 25

The longitude, in radians.

Default Value: `0.0`

### Methods

#### static Cesium.Cartographic.clone(cartographic, result) → Cartographic
Core/Cartographic.js 162

Duplicates a Cartographic instance.

Name | Type | Description
--- | --- | ---
`cartographic` | Cartographic | The cartographic to duplicate.
`result` | Cartographic | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new Cartographic instance if one was not provided. (Returns undefined if cartographic is undefined)

#### static Cesium.Cartographic.equals(left, right) → Boolean
Core/Cartographic.js 183

Compares the provided cartographics componentwise and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`left` | Cartographic | optional The first cartographic.
`right` | Cartographic | optional The second cartographic.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### static Cesium.Cartographic.equalsEpsilon(left, right, epsilon) → Boolean
Core/Cartographic.js 197

Compares the provided cartographics componentwise and returns `true` if they are within the provided epsilon, `false` otherwise.

Name | Type | Default | Description
--- | --- | --- | ---
`left` | Cartographic |  | optional The first cartographic.
`right` | Cartographic |  | optional The second cartographic.
`epsilon` | Number | `0` | optional The epsilon to use for equality testing.

##### Returns:

`true` if left and right are within the provided epsilon, `false` otherwise.

#### static Cesium.Cartographic.fromCartesian(cartesian, ellipsoid, result) → Cartographic
Core/Cartographic.js 108

Creates a new Cartographic instance from a Cartesian position. The values in the resulting object will be in radians.

Name | Type | Default | Description
--- | --- | --- | ---
`cartesian` | Cartesian3 |  | The Cartesian position to convert to cartographic representation.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid on which the position lies.
`result` | Cartographic |  | optional The object onto which to store the result.

##### Returns:

The modified result parameter, new Cartographic instance if none was provided, or undefined if the cartesian is at the center of the ellipsoid.

#### static Cesium.Cartographic.fromDegrees(longitude, latitude, height, result) → Cartographic
Core/Cartographic.js 81

Creates a new Cartographic instance from longitude and latitude specified in degrees. The values in the resulting object will be in radians.

Name | Type | Default | Description
--- | --- | --- | ---
`longitude` | Number |  | The longitude, in degrees.
`latitude` | Number |  | The latitude, in degrees.
`height` | Number | `0.0` | optional The height, in meters, above the ellipsoid.
`result` | Cartographic |  | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new Cartographic instance if one was not provided.

#### static Cesium.Cartographic.fromRadians(longitude, latitude, height, result) → Cartographic
Core/Cartographic.js 52

Creates a new Cartographic instance from longitude and latitude specified in radians.

Name | Type | Default | Description
--- | --- | --- | ---
`longitude` | Number |  | The longitude, in radians.
`latitude` | Number |  | The latitude, in radians.
`height` | Number | `0.0` | optional The height, in meters, above the ellipsoid.
`result` | Cartographic |  | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new Cartographic instance if one was not provided.

#### static Cesium.Cartographic.toCartesian(cartographic, ellipsoid, result) → Cartesian3
Core/Cartographic.js 147

Creates a new Cartesian3 instance from a Cartographic input. The values in the inputted object should be in radians.

Name | Type | Default | Description
--- | --- | --- | ---
`cartographic` | Cartographic |  | Input to be converted into a Cartesian3 output.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid on which the position lies.
`result` | Cartesian3 |  | optional The object onto which to store the result.

##### Returns:

The position

#### clone(result) → Cartographic
Core/Cartographic.js 224

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | Cartographic | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new Cartographic instance if one was not provided.

#### equals(right) → Boolean
Core/Cartographic.js 235

Compares the provided against this cartographic componentwise and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`right` | Cartographic | optional The second cartographic.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### equalsEpsilon(right, epsilon) → Boolean
Core/Cartographic.js 248

Compares the provided against this cartographic componentwise and returns `true` if they are within the provided epsilon, `false` otherwise.

Name | Type | Default | Description
--- | --- | --- | ---
`right` | Cartographic |  | optional The second cartographic.
`epsilon` | Number | `0` | optional The epsilon to use for equality testing.

##### Returns:

`true` if left and right are within the provided epsilon, `false` otherwise.

#### toString() → String
Core/Cartographic.js 257

Creates a string representing this cartographic in the format '(longitude, latitude, height)'.

##### Returns:

A string representing the provided cartographic in the format '(longitude, latitude, height)'.